Package org.jboss.logmanager

# Class SerializedLogger

java.lang.Object
org.jboss.logmanager.SerializedLogger

All Implemented Interfaces:
  `Serializable`

public final class SerializedLogger extends Object implements Serializable
A marker class for loggers. After read, the `readResolve()` method will return a logger with the given name.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SerializedLogger(String name)`
Construct an instance.

## Method Summary

Modifier and Type
Method
Description
`Object`
`readResolve()`
Get the actual logger for this marker.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SerializedLogger

public SerializedLogger(String name)
Construct an instance.

Parameters:
  `name` - the logger name

## Method Details

### readResolve

public Object readResolve()
Get the actual logger for this marker.

Returns:
  the logger
See Also:
  - Serialization spec, 3.7